$white: #fff;
$dark: #333;
$pink: #d6588a;
$wine: #8e0a3f;
$violet: #3f1466;
$light-green: #d6e665;
$darkredwine: #64062e;
$gray-light: #ddd;
$gray: #888;
$red: #f00;
$pale: #f7f3f4;

$primary: $wine;
$body-color: $dark;
$body-bg: $white;

$font-size-base: 1rem !default;
$line-height-base: 1.5 !default;
$font-weight-base: 400 !default;

$link-color: $primary;
$link-hover-color: $primary;
$link-decoration: underline;
$link-hover-decoration: none;

$theme-colors: () !default;
$theme-colors: map-merge(
                (
                        "primary":    $primary,
                ),
                $theme-colors
) !default;


$container-max-widths: (
        sm: 540px,
        md: 750px,
        lg: 990px,
        xl: 1200px,
        xxl: 1410px,
) !default;

$grid-breakpoints: (
        xs: 0,
        sm: 576px,
        md: 768px,
        lg: 992px,
        xl: 1280px,
        xxl: 1680px,
) !default;

$breakpoints: (
        m320: 320px,
        m360: 360px,
        m400: 400px,
        m480: 480px,
        m640: 640px,
        m768: 768px,
        m992: 992px,
        m1200: 1200px,
        m1440: 1440px,
        m1680: 1680px,
        m1920: 1920px,
        m2560: 2560px,
) !default;



//headings
$font-family-sans-serif: 'Open Sans', Arial, sans-serif !default;
$font-family-serif: Georgia, sans-serif !default;
$font-weight-bolder: 700 !default;

$headings-font-family: 'Poppins', Arial, sans-serif !default;
$headings-font-weight: 700 !default;
$headings-color: $body-color !default;
$headings-line-height: 1.25!default;

$h1-font-size-xs:              $font-size-base * 3 !default;
$h2-font-size-xs:              $font-size-base * 2.25 !default;
$h3-font-size-xs:              $font-size-base * 1.5 !default;
$h4-font-size-xs:              1.25rem !default;
$h5-font-size-xs:              $font-size-base !default;
$h6-font-size-xs:              $font-size-base !default;

$h1-font-size-md:              $font-size-base * 3.5 !default;
$h2-font-size-md:              $font-size-base * 2.75 !default;
$h3-font-size-md:              $font-size-base * 1.75 !default;
$h4-font-size-md:              1.25rem !default;
$h5-font-size-md:              $font-size-base !default;
$h6-font-size-md:              $font-size-base !default;

$h1-font-size-xl:              $font-size-base * 4.75 !default;
$h2-font-size-xl:              $font-size-base * 3.75 !default;
$h3-font-size-xl:              $font-size-base * 2 !default;
$h4-font-size-xl:              1.25rem !default;
$h5-font-size-xl:              $font-size-base !default;
$h6-font-size-xl:              $font-size-base !default;

$h1-font-size:                5.75rem !default;
$h2-font-size:                $font-size-base * 4.75 !default;
$h3-font-size:                $font-size-base * 2.5 !default;
$h4-font-size:                $font-size-base * 1.5 !default;
$h5-font-size:                $font-size-base !default;
$h6-font-size:                $font-size-base !default;

//pagination
$pagination-element-size: 50px;


//section block

$section-font-size:     1rem;
$section-gutter:        6em;
$section-gutter-xs:     2.5em;
$section-gutter-md:     4em;
$section-gutter-xxl:    8em;

$component-active-color:      $white !default;
$component-active-bg:         $primary !default;

//buttons

$btn-colors: (
        "primary":    $primary,
) !default;

$ripple-bg-color: $white;

// Buttons
$image_path: '../images' !default;
$checkbox-image-path: $image_path + '/svgs/';
$button-primary-color: $primary !default;
$button-active-color: lighten($button-primary-color, 10%) !default;
$button-focus-color: darken($button-primary-color, 10%) !default;

$button-height: 4rem;
$button-min-width: 13rem;
$button-padding: 3rem;
$button-border-radius: 0;
$button-secondary-color: #fff;

$button-primary-color-alt: $button-primary-color;
$button-secondary-color-alt: #fff;
$button-hover-color-alt: #fff;
$button-focus-color-alt: darken($button-primary-color, 5%);
$button-hover-color: #fff;
$button-active-color-alt: #fff;
$button-ripple-color-alt: #fff;

$checkbox-label-font-size: 14px !default;
$checkbox-label-lineheight: 1.5 !default;
$checkbox-button-size: 26px !default;
$checkbox-label-height: auto !default;
$checkbox-top-offset: 0 !default;
$checkbox-ripple-size: $checkbox-button-size * 2 !default;
$checkbox-padding: 14px !default;

//text field
$input-text-width: 100% !default;
$input-text-padding: 4px !default;
$input-text-vertical-spacing: 20px !default;
$input-text-font-size: 14px !default;
$input-text-label-color: #333 !default;
$input-text-floating-label-fontsize: 12px !default;
$input-text-bottom-border-color: #333;
$input-text-button-size: 2rem !default;
$input-text-expandable-icon-top: 1rem !default;
$input-text-error-color: $red;


$input-text-bottom-border-color: rgba($color-black, 0.12) !default;
$input-text-highlight-color: $primary !default;
$input-text-disabled-color: $input-text-bottom-border-color !default;
$input-text-disabled-text-color: $input-text-label-color !default;

$animation-curve-fast-out-slow-in: cubic-bezier(0.4, 0, 0.2, 1) !default;
$animation-curve-linear-out-slow-in: cubic-bezier(0, 0, 0.2, 1) !default;
$animation-curve-fast-out-linear-in: cubic-bezier(0.4, 0, 1, 1) !default;
$animation-curve-default: $animation-curve-fast-out-slow-in !default;


//slick slider

// slick slider

$slick-font-path:           "";
$slick-font-family:         "";
$slick-loader-path:         "./";
$slick-arrow-color:         black;
$slick-dot-color:           $primary !default;
$slick-dot-color-active:    $dark !default;
$slick-dot-size:            6px !default;
$slick-opacity-default:     0.75 !default;
$slick-opacity-on-hover:    1 !default;
$slick-opacity-not-active:  0.25 !default;


//block

$colors: (
  'flamingo': #f26322,
  'cherry': #8e0a3f,
  'gigas': #404297,
  'mountain-meadow': #1b9783,
  'sorrell-brown': #d0ba92,
  'blue': #226bba,
  'fungreen': #005e45,
  'lightblue': #2cafe7,
  'pistachio': #9dc200,
  'blue-marguerite': #7962cc,
  'lipstick': #c20653,
  'scarlet-gum': #3f1466,
);
